# pwd

Provides the password for HTTP basic authentication.

This parameter applies to omhttp: HTTP Output Module.

Name:

  pwd

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  no

Introduced:

  Not specified

## Description

The password for the user for basic auth.

## Input usage

    module(load="omhttp")

    action(
        type="omhttp"
        uid="api-user"
        pwd="s3cr3t!"
    )

## See also

See also omhttp: HTTP Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.